DevelopersAPI referenceSignTemplates
Create a template
Creates a private template; recipients/fields are stored as opaque JSON arrays.
View as MarkdownAuthorization
bearer AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/templates" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "template": { "id": "string", "name": "string", "description": "string", "category": "string", "created": "2019-08-24T14:15:22Z", "modified": "2019-08-24T14:15:22Z", "usageCount": 0, "isPublic": true, "hasFile": true, "pages": 0, "content": { "sections": [ { "heading": "string", "body": "string" } ], "placeholders": [ { "key": "string", "label": "string", "hint": "string" } ] }, "visibility": "string", "ownerId": "string", "recipients": [ { "name": "string", "role": "string", "orderIndex": 0 } ], "fields": [ { "type": "string", "x": 0, "y": 0, "width": 0, "height": 0, "page": 0, "required": true, "label": "string", "recipientIndex": 0 } ] }}